%define name	musique
%define version 1.4.0
%define release %mkrel 1



Name:           %{name}
Version:	%{version}
Release:	%{release}
License:        GPL-3.0+
Summary:        Qt4 music player
Url:            http://flavio.tordini.org/musique
Group:          Sound
Source:         %{name}-%{version}.tar.xz
#-------------------------------
BuildRequires:  qt4-devel
BuildRequires:  %{_lib}taglib-devel
BuildRequires:  phonon-devel
BuildRequires:	desktop-file-utils
#-------------------------------
Requires:	%{_lib}phonon4
Requires:	phonon-backend
Requires:	qt4-database-plugin-sqlite
Obsoletes:      minitunes < %{version}
Provides:       minitunes = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Musique is a music player designed by and for people that love music. Musique
does its best to stay out the way and keep you focused on the only thing that
really matters: Music. You need to try it to really get it. en first run, just
point Musique to your music folder and let it scan. This will take some time
depending on the size of your library, but it's a one-time operation.

To set expectations right — Musique is not about podcasts or internet radio;
it's not about managing mobile devices and it has no integrated music store.
It's about listening to beautiful music.

%prep
%setup -q
sed -i "s;minitunes;musique;g" musique.desktop

%build
qmake PREFIX=%{_prefix} musique.pro
make %{?_smp_mflags}

%install
make INSTALL_ROOT=%{buildroot} install

#fix desktop file
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%files
%defattr(-,root,root)
%{_bindir}/musique
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/*
%dir %{_datadir}/icons/hicolor/*/apps
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/*/apps/*.svg
%{_datadir}/%{name}


%clean
rm -rf %{buildroot}


%changelog
* Sat Dec 13 2014 ghostbunny <ghostbunny at gmx dot de> 1.4.0-1pclos2014
- 1.4.0
- add missing BR desktop-file-utils

* Fri Jan 03 2014 bb <bb> 1.3.0-2pclos2014
- fix desktop file

* Thu Jan 02 2014 ghostbunny <hmhaase at pclinuxosusers dot de> 1.3.0-1pclos2014
- 1.3.0
- add missing R qt4-database-plugin-sqlite

* Sat May 18 2013 Texstar <texstar at gmail.com> 1.2.1-1pclos2013
- 1.2.1
- fix rpmgroup

* Thu Apr 19 2012 Neal <nealbrks0 at gmail dot com> 1.1-1pclos2012
- process

* Mon Apr 14 2012 travisn000 <travisn000 at gmail> - v1.1-1
- Initial build version 1.1:
  * Last.fm scrobbling
  * Album covers from image files or embedded in audio files
  * Lyrics are now read from inside MP3 files when not available online
  * Faster music collection scanning
  * Album covers and artist photos are downloaded in the background
  * Album release year inside tags has now precedence over Last.fm often incorrect release year
  * Lots of minor UI enhancements
